﻿'Many thanks to the users at http://forums.parallax.com/

'Most of this code I got from Unsoundcode.

Public Class Form1

    Public _port As New System.IO.Ports.SerialPort

    Dim command As Integer = 0

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        Dim objIniFile As New IniFile(My.Application.Info.DirectoryPath & "\MechanicalClick.ini")
        command = objIniFile.GetInteger("Click Commands", "Command", 0)

        If command <> 0 Then
            Dim send As Byte = Val(command)
            If _port.IsOpen Then
                _port.WriteLine(send)
            End If

            objIniFile.WriteInteger("Click Commands", "Command", 0)

        End If
    End Sub

#Region "Serial Communication"

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        For Each portName As String In My.Computer.Ports.SerialPortNames
            ComboBox1.Items.Add(portName)
        Next
        If Not _port.IsOpen Then
            portClose.Enabled = False
            ComboBox1.Text = ComboBox1.Items(0)
        Else
            portOpen.Enabled = False
            ComboBox1.Text = _port.PortName
        End If
    End Sub

    Private Sub portClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles portClose.Click
        portClose.Enabled = False
        portOpen.Enabled = True
        _port.Close()
    End Sub

    Private Sub portOpen_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles portOpen.Click
        If Not ComboBox1.SelectedItem Is Nothing Then
            If Not _port.IsOpen Then
                Try
                    _port.BaudRate = 9600
                    _port.PortName = ComboBox1.SelectedItem
                    _port.Open()
                    portOpen.Enabled = False
                    portClose.Enabled = True

                Catch ex As Exception
                    MsgBox("Error trying to open the port", MsgBoxStyle.Critical)
                End Try
            End If
        Else
            MsgBox("Select a Port and BaudRate", MsgBoxStyle.Information)
        End If
    End Sub

#End Region


End Class
